GET
/
organizations
/
{organizationId}
/
kyb
/
company-search
Search for a company by name in the AI Prise registry
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/kyb/company-search \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/organizations/{organizationId}/kyb/company-search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/organizations/{organizationId}/kyb/company-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"legalName": "<string>",
"businessEntityId": "<string>",
"countryCode": "US",
"entityType": "<string>",
"stateCode": "<string>",
"addresses": [
{
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}{
"error": "Error from Snowflake service"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of organization
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Query Parameters
Required string length:
2 - 200ISO 3166-1 alpha-2 country code
Maximum string length:
2Pattern:
^[a-zA-Z]{2}$Example:
"US"
Maximum string length:
10Response
List of matching companies.
Show child attributes
Show child attributes
Last modified on August 1, 2026
Was this page helpful?
⌘I
Search for a company by name in the AI Prise registry
